The WFS provider repeats the field with PK
Status: Closed

Priority: Severe/Regression
Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: invalid

Copied to github as #: 15741

Description

Hi,
using the wfs client on qgis-dev.

When | try to add a new record (a point in my test), a windows appears with the field to fill.

The first field (named id) is the PK for my table.

If I leave that field empty, the creation will do all ok because the id field is a serial type.

But if | fill the id field with a value, qgis sends an insert to the wfs server with two id fields.

| add two screen images to explain this bug better.

History

#1 - 2012-10-16 12:06 PM - aperi2007 -

Hi,
| tested more.
The duplicate happen also if the PK is integer type and not only if serial type.

This is a bit more bad because the serial is autofill, instead the integer simple type is not autofill.

So this is really a blocking issue for wfs usage.

#2 - 2012-10-16 12:09 PM - Jiirgen Fischer

- Subject changed from The WFS provider repat the filed with PK to The WFS provider repeats the field with PK

#3 - 2013-07-11 12:09 PM - Jiirgen Fischer
- Status changed from Open to Feedback

aperi2007 - wrote:

The duplicate happen also if the PK is integer type and not only if serial type.

Is this still an issue? | can't reproduce it.

#4 - 2013-07-12 03:28 AM - aperi2007 -
- Resolution set to invalid
- Status changed from Feedback to Closed
Sorry,
butl'm no more able to test this. The wfs server is not available.

| guess this is closable if the issue is no more reproduceable.
